This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | TableRow
Name | ### getFloat()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("number", Table.INT);
      table.addColumn("mass", Table.FLOAT);
      table.addColumn("name", Table.STRING);

      TableRow row = table.addRow();
      row.setInt("number", 8);
      row.setFloat("mass", 15.9994);
      row.setString("name", "Oxygen");

      println(row.getInt("number"));   // Prints 8
      println(row.getFloat("mass"));   // Prints 15.9994
      println(row.getString("name"));  // Prints "Oxygen
    }
Description | Retrieves a float value from the TableRow's specified column. The column may be specified by either its ID or title.
Syntax |
    .getFloat(column)
    .getFloat(columnName)
Parameters |
column | int: ID number of the column to reference
columnName | String: title of the column to reference
Returns | float
Related | getInt() getString()

Updated on October 26, 2013 08:58:34pm PDT